Results 1 to 10 of 10

Thread: Non-existent nVidia Legacy Driver Support for Linux 3.12

  1. #1
    Join Date
    Aug 2010
    Location
    Arizona USA
    Beans
    2,974
    Distro
    Ubuntu Development Release

    Cool Non-existent nVidia Legacy Driver Support for Linux 3.12

    Surprisingly, Linux 3.12 works on ancient nVidia 173.14.37 legacy drivers...


    Ubu 'Trusty' 14.04 / Gnome-Shell 3.10.1 Staging / Custom Linux 3.12-rc6 Kernel / Plank / Conky / ConkyWX



    Heh! It's a kludge, but it's a start... LoL!
    Last edited by VinDSL; October 27th, 2013 at 03:20 AM. Reason: [SOLVED]
    Intel ® P4 Extreme Edition 3.4 (Gallatin) || DFI ® LanParty PRO875B rev B1
    Crucial ® Ballistix Tracer PC4000 1GB || Mountain Mods U2-UFO Opti-1203
    XFX 7600GT 560M AGP (PV-T73A-UDF3) || Corsair HX520W Modular PSU

  2. #2
    Join Date
    Aug 2010
    Location
    Arizona USA
    Beans
    2,974
    Distro
    Ubuntu Development Release
    Getting closer! Here's nVidia 304.88



    Continuing...
    Intel ® P4 Extreme Edition 3.4 (Gallatin) || DFI ® LanParty PRO875B rev B1
    Crucial ® Ballistix Tracer PC4000 1GB || Mountain Mods U2-UFO Opti-1203
    XFX 7600GT 560M AGP (PV-T73A-UDF3) || Corsair HX520W Modular PSU

  3. #3
    Join Date
    Aug 2010
    Location
    Arizona USA
    Beans
    2,974
    Distro
    Ubuntu Development Release
    I dunno. I *think* I'll quit while I'm ahead. 304.88 has been working nicely.

    I've been messing with this for hours. Too bad we have to roll_our_own. Where's the upstream support?!?!?

    304.108 looks like a piece of work. Only benefit I can see are the Flash fixes -- not worth the effort, really.

    Gotta say, it's a relief getting away from the increasingly frequent Nouveau lockups...
    Intel ® P4 Extreme Edition 3.4 (Gallatin) || DFI ® LanParty PRO875B rev B1
    Crucial ® Ballistix Tracer PC4000 1GB || Mountain Mods U2-UFO Opti-1203
    XFX 7600GT 560M AGP (PV-T73A-UDF3) || Corsair HX520W Modular PSU

  4. #4
    Join Date
    Sep 2010
    Location
    Beta Testing in Canada
    Beans
    7,348
    Distro
    Ubuntu Development Release

    Re: Non-existent nVidia Legacy Driver Support for Linux 3.12

    Nice work as always Vin!
    This is Rolling Release
    Warnings for New Beta Testers& Helpful Terminal Commands:
    Running 15.10 on Mobo: MSI model: B85-G41 PC Mate(MS-7850) v: 1.0

  5. #5
    Join Date
    Aug 2010
    Location
    Arizona USA
    Beans
    2,974
    Distro
    Ubuntu Development Release

    Re: Non-existent nVidia Legacy Driver Support for Linux 3.12

    Thanks, Vent!

    I'm starting to wonder if nVidia will ever come out with modern 'legacy drivers' for Linux >= 3.12

    Linux 3.12-rc1 was released six weeks ago. I just got tired of waiting.

    I've never seen it take this long before -- and nothing is in the pipe, AFAIK.

    Oh, well. This too shall pass... hopefully.
    Intel ® P4 Extreme Edition 3.4 (Gallatin) || DFI ® LanParty PRO875B rev B1
    Crucial ® Ballistix Tracer PC4000 1GB || Mountain Mods U2-UFO Opti-1203
    XFX 7600GT 560M AGP (PV-T73A-UDF3) || Corsair HX520W Modular PSU

  6. #6
    Join Date
    Jun 2005
    Location
    The Front 9
    Beans
    Hidden!
    Distro
    Ubuntu Mate 14.04 Trusty Tahr

    Re: Non-existent nVidia Legacy Driver Support for Linux 3.12

    Code:
    I dunno.  I *think* I'll quit while I'm ahead.  304.88 has been working nicely.
    
    I've been messing with this for hours.  Too bad we have to roll_our_own.  Where's the upstream support?!?!?
    
    304.108 looks like a piece of work.  Only benefit I can see are the Flash fixes -- not worth the effort, really.
    
    Gotta say, it's a relief getting away from the increasingly frequent Nouveau lockups...
    Yes Sir!!(increasingly frequent Nouveau lockups..)
    Im pretty sure there is something coming as far as legacy drivers when ?????
    I happened to get Lucky and had an off the record conversation with one of there devs..(No dates or even promises.)
    "In order to carry a positive action we must develop here a positive vision."
    Dalai Lama

  7. #7
    Join Date
    Apr 2008
    Location
    Southern California, USA
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: Non-existent nVidia Legacy Driver Support for Linux 3.12

    I also get those lockups using nouveau on all Ubuntu distros, except Kubuntu.

  8. #8
    Join Date
    Nov 2008
    Location
    Magdalena,New Mexico,USA
    Beans
    564
    Distro
    Ubuntu Mate Development Release

    Re: Non-existent nVidia Legacy Driver Support for Linux 3.12

    Quote Originally Posted by VMC View Post
    I also get those lockups using nouveau on all Ubuntu distros, except Kubuntu.
    I was getting those also, especially on Mint 14.....getting to be almost unusable...

    then installed nvidia-current.....has been working perfectly since....
    Registered Linux User # 529389
    Arch Linux, Linux Mint 17.3 Rosa, Fedora 22 Linux
    my improved web page http://users.gilanet.com/~tfrost

  9. #9
    Join Date
    Sep 2008
    Beans
    796

    Re: Non-existent nVidia Legacy Driver Support for Linux 3.12

    Quote Originally Posted by VinDSL View Post
    Thanks, Vent!

    I'm starting to wonder if nVidia will ever come out with modern 'legacy drivers' for Linux >= 3.12

    Linux 3.12-rc1 was released six weeks ago. I just got tired of waiting.

    I've never seen it take this long before -- and nothing is in the pipe, AFAIK.

    Oh, well. This too shall pass... hopefully.
    Nouveau hasn't actually been causing me any problems, but I've been wondering about this too.

    I see from this page that 304.116 was released the other day (6th November):

    http://www.nvidia.com/Download/drive...px/69366/en-us

    No sign of it in xorg-edgers yet. Soon presumably though?! I prefer to use packaged versions instead of running the nvidia installer.

  10. #10
    Join Date
    Aug 2010
    Location
    Arizona USA
    Beans
    2,974
    Distro
    Ubuntu Development Release

    Re: Non-existent nVidia Legacy Driver Support for Linux 3.12

    Quote Originally Posted by paul_in_london View Post
    I prefer to use packaged versions instead of running the nvidia installer.
    Agreed.

    I installed 304.116, last night, via the nVidia installer. Gawd! That thing is sooooo last century...

    After three slightly varied attempts, it still couldn't find my display on reboot.

    I'll wait patiently for 304.116 to show up in edgers, or the official PPAs...
    Intel ® P4 Extreme Edition 3.4 (Gallatin) || DFI ® LanParty PRO875B rev B1
    Crucial ® Ballistix Tracer PC4000 1GB || Mountain Mods U2-UFO Opti-1203
    XFX 7600GT 560M AGP (PV-T73A-UDF3) || Corsair HX520W Modular PSU

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •